[arch-commits] Commit in python-zope-annotation/repos/community-any (2 files)
Felix Yan
felixonmars at archlinux.org
Tue Jun 6 14:44:01 UTC 2017
Date: Tuesday, June 6, 2017 @ 14:44:01
Author: felixonmars
Revision: 234961
archrelease: copy trunk to community-any
Added:
python-zope-annotation/repos/community-any/PKGBUILD
(from rev 234960, python-zope-annotation/trunk/PKGBUILD)
Deleted:
python-zope-annotation/repos/community-any/PKGBUILD
----------+
PKGBUILD | 113 ++++++++++++++++++++++++++++++-------------------------------
1 file changed, 57 insertions(+), 56 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2017-06-06 14:43:20 UTC (rev 234960)
+++ PKGBUILD 2017-06-06 14:44:01 UTC (rev 234961)
@@ -1,56 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=('python-zope-annotation' 'python2-zope-annotation')
-pkgver=4.4.1
-pkgrel=2
-pkgdesc="Object annotation mechanism"
-arch=('any')
-url="https://github.com/zopefoundation/zope.annotation"
-license=('ZPL')
-makedepends=('python-setuptools' 'python2-setuptools' 'python-zope-interface'
- 'python2-zope-interface' 'python-zope-component' 'python2-zope-component'
- 'python-zope-location' 'python2-zope-location' 'python-zope-proxy' 'python2-zope-proxy'
- 'git')
-checkdepends=('python-nose' 'python2-nose' 'python-zope-configuration' 'python2-zope-configuration'
- 'python-zope-testing' 'python2-zope-testing')
-source=("git+https://github.com/zopefoundation/zope.annotation.git#tag=$pkgver")
-sha256sums=('SKIP')
-
-prepare() {
- cp -a zope.annotation{,-py2}
-}
-
-build() {
- cd "$srcdir"/zope.annotation
- python setup.py build
-
- cd "$srcdir"/zope.annotation-py2
- python2 setup.py build
-}
-
-check() {
- cd "$srcdir"/zope.annotation
- nosetests3
-
- cd "$srcdir"/zope.annotation-py2
- nosetests2
-}
-
-package_python-zope-annotation() {
- depends=('python-setuptools' 'python-zope-interface' 'python-zope-component'
- 'python-zope-location' 'python-zope-proxy')
-
- cd "$srcdir/zope.annotation"
- python setup.py install --root="$pkgdir/" --optimize=1
-}
-
-package_python2-zope-annotation() {
- depends=('python2-setuptools' 'python2-zope-interface' 'python2-zope-component'
- 'python2-zope-location' 'python2-zope-proxy')
-
- cd "$srcdir/zope.annotation-py2"
- python2 setup.py install --root="$pkgdir/" --optimize=1
-}
-
-# vim:set ts=2 sw=2 et:
Copied: python-zope-annotation/repos/community-any/PKGBUILD (from rev 234960, python-zope-annotation/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2017-06-06 14:44:01 UTC (rev 234961)
@@ -0,0 +1,57 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-zope-annotation
+pkgname=('python-zope-annotation' 'python2-zope-annotation')
+pkgver=4.5
+pkgrel=1
+pkgdesc="Object annotation mechanism"
+arch=('any')
+url="https://github.com/zopefoundation/zope.annotation"
+license=('ZPL')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-zope-interface'
+ 'python2-zope-interface' 'python-zope-component' 'python2-zope-component'
+ 'python-zope-location' 'python2-zope-location' 'python-zope-proxy'
+ 'python2-zope-proxy')
+checkdepends=('python-zope-configuration' 'python2-zope-configuration' 'python-zope-testing'
+ 'python2-zope-testing' 'python-zope-testrunner' 'python2-zope-testrunner')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/zopefoundation/zope.annotation/archive/$pkgver.tar.gz")
+sha512sums=('533d76e63fc987ed7c78bc67aafc8f48496041cf324439d103f7a37e2aacb0b51453d7c98be5ebd7f9f6b848492e65cbffa47f5dc81538b30ed9aa0ce145b1b2')
+
+prepare() {
+ cp -a zope.annotation-$pkgver{,-py2}
+}
+
+build() {
+ cd "$srcdir"/zope.annotation-$pkgver
+ python setup.py build
+
+ cd "$srcdir"/zope.annotation-$pkgver-py2
+ python2 setup.py build
+}
+
+check() {
+ cd "$srcdir"/zope.annotation-$pkgver
+ PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python -m zope.testrunner --test-path=src || warning "Tests failed"
+
+ cd "$srcdir"/zope.annotation-$pkgver-py2
+ PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python2 -m zope.testrunner --test-path=src
+}
+
+package_python-zope-annotation() {
+ depends=('python-setuptools' 'python-zope-interface' 'python-zope-component'
+ 'python-zope-location' 'python-zope-proxy')
+
+ cd "$srcdir"/zope.annotation-$pkgver
+ python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-zope-annotation() {
+ depends=('python2-setuptools' 'python2-zope-interface' 'python2-zope-component'
+ 'python2-zope-location' 'python2-zope-proxy')
+
+ cd "$srcdir"/zope.annotation-$pkgver-py2
+ python2 setup.py install --root="$pkgdir" --optimize=1
+}
+
+# vim:set ts=2 sw=2 et:
More information about the arch-commits
mailing list